### Method

# Gtk MediaStreamseek

#### Declaration [src]

    void
    gtk_media_stream_seek (
      GtkMediaStream* self,
      gint64 timestamp
    )

#### Description [src]

Start a seek operation on `self` to `timestamp`.

If `timestamp` is out of range, it will be clamped.

Seek operations may not finish instantly. While a seek operation is in process, the `GtkMediaStream:seeking` property will be set.

When calling `gtk_media_stream_seek()` during an ongoing seek operation, the new seek will override any pending seek.

#### Parameters

`timestamp`

  Type: `gint64`

  Timestamp to seek to.